<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='style.css') }}"/>

	<title>{{ title }}</title>
</head>
<body>
	<h1 style="text-align: center">{{ title }}</h1>

	<table class="nemo-table">
		{% for nemo_app in nemo_apps %}
			{% if not loop.first %}<tr class="no-style"><td colspan="3"></td></tr>{% endif %}
			<tr class="nemo-app-title">
				<th style="font-size: x-large">{{ nemo_app.name }}</th>
				<th {% if not nemo_app.registration_url %}colspan="2"{% endif %} style="text-align: center"><a class="button" href="{{ nemo_app.url }}" target="_blank">Sign in</a></th>
				{% if nemo_app.registration_url %}
					<th style="text-align: center">
						<a class="button" href="{{ nemo_app.registration_url }}" target="_blank">Register</a>
					</th>
				{% endif %}
			</tr>
			{% if nemo_app.error %}
				<tr>
					<td colspan="3" style="color: red">{{ nemo_app.error }}</td>
				</tr>
			{% else %}
				{% if nemo_app.tools %}
					{% if not nemo_app.show_tool_owner %}
						<tr><th colspan="3" class="nemo-app-section">Tools</th></tr>
					{% else %}
						<tr><th class="nemo-app-section">Tool</th><th colspan="2" class="nemo-app-section">Contact</th></tr>
					{% endif %}
				{% endif %}
				{% for tool in nemo_app.tools %}
					{% if tool.visible or show_non_visible_tools %}
						<tr>
							<td {% if not nemo_app.show_tool_owner %}colspan="3"{% endif %}><a href="{{ nemo_app.tool_control_url }}{{ tool.id }}" target="_blank">{{ tool.name }}</a></td>
							{% if nemo_app.show_tool_owner %}
								<td colspan="2">{% if nemo_app.email_tool_owner %}<a href="mailto:{{ tool._primary_owner.email }}" target="_blank">{% endif %}{{ tool._primary_owner.first_name }} {{ tool._primary_owner.last_name }}{% if nemo_app.email_tool_owner %}</a>{% endif %}</td>
							{% endif %}
						</tr>
					{% endif %}
				{% endfor %}
				{% if nemo_app.areas %}
					<tr><th colspan="3" class="nemo-app-section">Areas</th></tr>
				{% endif %}
				{% for area in nemo_app.areas %}
					<tr>
						<td colspan="3">{{ area.name }}</td>
					</tr>
				{% endfor %}
			{% endif %}
		{% else %}
			<tr><td colspan="3" style="text-align: center">no NEMO instances could be found</td></tr>
		{% endfor %}
	</table>

</body>
</html>